<?php
/**
 * Enqueue styles
 */
function enqueue_styles() {
	wp_enqueue_style('font-awesome', 	'https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css', array(), '1', 'all');
	wp_enqueue_style('font-google', 	'https://fonts.googleapis.com/css?family=Open+Sans:400,300|Roboto', array(), '1', 'all');
	wp_enqueue_style('font', 			THEME_URL . '/assets/css/fonts/font.css', array(), '1', 'all');
	wp_enqueue_style('normalize', 		THEME_URL . '/assets/css/normalize.css', array(), '1', 'all');
	wp_enqueue_style('fancybox', 		THEME_URL . '/assets/js/vendor/fancybox/jquery.fancybox.css', array(), '1', 'all');
	wp_enqueue_style('main', 			THEME_URL . '/assets/css/main.css', array(), '1', 'all');
	wp_enqueue_style('responsive', 		THEME_URL . '/assets/css/responsive.css', array('main'), '1', 'all');
}
add_action('wp_enqueue_scripts', 'enqueue_styles');

/**
 * Enqueue scripts
 */
function enqueue_scripts() {
	wp_enqueue_script('matchHeight',	THEME_URL . '/assets/js/vendor/jquery.matchHeight-min.js', array('jquery'), '1', false);
	wp_enqueue_script('imagesloaded',	THEME_URL . '/assets/js/vendor/imagesloaded.pkgd.min.js', array('jquery'), '1', false);
	wp_enqueue_script('masonry',		THEME_URL . '/assets/js/vendor/masonry.pkgd.min.js', array('jquery'), '1', false);
	wp_enqueue_script('verticalcenter',	THEME_URL . '/assets/js/vendor/jquery.flexverticalcenter.js', array('jquery'), '1', false);
	wp_enqueue_script('placeholders',	THEME_URL . '/assets/js/vendor/placeholders.min.js', array('jquery'), '1', false);
	wp_enqueue_script('fancybox', 		THEME_URL . '/assets/js/vendor/fancybox/jquery.fancybox.pack.js', array('jquery'), '1', false);
	wp_enqueue_script('fancybox-media', THEME_URL . '/assets/js/vendor/fancybox/helpers/jquery.fancybox-media.js', array('jquery'), '1', false);
	wp_enqueue_script('scrollTo', 		THEME_URL . '/assets/js/vendor/jquery.scrollTo.min.js', array('jquery'), '1', false);
	wp_enqueue_script('main',			THEME_URL . '/assets/js/main.js', array('jquery'), '1', false);
}
add_action('wp_enqueue_scripts', 'enqueue_scripts');

function custom_jquery_cdn() {
	wp_deregister_script('jquery');
	wp_enqueue_script('jquery', "https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js", false, null);
}
if (!is_admin()) add_action("wp_enqueue_scripts", "custom_jquery_cdn", 11);